# THIS FILE IS A MESS!

%define name		gclamp
%define version		1.2.0

# ---------------------------------------------------

# Use the following for a standard install
# Prefix:		/usr/local
# %define datadir	%{prefix}/share
# %define mandir	%{prefix}/man

# Use the following for a Redhat/Fedora install
Prefix:			/
%define datadir		%{prefix}/usr/share
%define mandir		%{prefix}/usr/share/man

# derived from above but they work as fine tuning...
# Needed for ./configure which is part of autogen.sh
# Alter as required

%define bindir		%{prefix}/usr/bin
%define sysconfdir	%{prefix}/etc
%define localstatedir	%{prefix}/var


# derived from above but for this .spec file only
# DO NOT CHANGE THESE UNLESS YOU KNOW WHAT YOU'RE DOING!
%define doc		    %{datadir}/%{name}
%define docdir		%{datadir}/%{name}/doc

%define pixmaps %{datadir}/pixmaps
%define pixmapsdir %{datadir}/pixmaps/%{name}

%define logdir		%{localstatedir}/log
%define rundir		%{localstatedir}/run

%define sname	%{name}-%{version}
%define sdir	$RPM_BUILD_DIR/%{name}-%{version}


Name:           %{name}
Version:        %{version}
Release:        1%{?dist}
Summary:     	Frontend for ClamAV (clamscan and freshclam)

Group:       	Applications/System   
License:      GPL
Packager:     David M. Balean  <linprogs@balean.net>
Vendor:		    David M. Balean  <linprogs@balean.net>
URL:		      http://www.balean.net/linprogs
Requires: 	  glib2 >= 2.4.0
Requires: 	  gtk2 >= 2.4.0
Requires:	    ,/bin/sh
BuildRoot:    %{_tmppath}/%{sname}
Source:		    %{sname}.tar.gz

%description
A Gtk++ frontend to scan directories and files
for viruses using ClamAV (clamscan and freshclam).
Requires either kdesu or xtermsu to use freshclam,
the virus databsse updater, as well as ClamAV.

%prep
%setup -q


%build
rm -rf $RPM_BUILD_ROOT

rm -f %{sdir}/Makefile %{sdir}/Makefile.in configure autote.cache

rm -f %{sdir}/src/Makefile %{sdir}/src/Makefile.in %{sdir}/doc/Makefile.in
rm -rf %{sdir}/src/.deps


%{sdir}/autogen.sh  --prefix=%{prefix} \
	--bindir=%{bindir} --datadir=%{datadir} \
	--sysconfdir=%{sysconfdir} \
	--localstatedir=%{localstatedir} \
	--mandir=%{mandir}

make


%install

make prefix=$RPM_BUILD_ROOT%{prefix} \
	bindir=$RPM_BUILD_ROOT%{bindir} \
	datadir=$RPM_BUILD_ROOT%{datadir} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
	mandir=$RPM_BUILD_ROOT%{mandir} install

gzip --best $RPM_BUILD_ROOT%{mandir}/man1/gclamp.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%dir %{doc}
%dir %{docdir}
%dir %{pixmaps}
%dir %{pixmapsdir}
%dir %{mandir}
%dir %{mandir}/man1


%{doc}/AUTHORS
%{doc}/ChangeLog
%{doc}/INSTALL
%{doc}/COPYING
%{doc}/NEWS
%{doc}/README
%{doc}/TODO

%{docdir}/gclamp.html
%{docdir}/images/blank.png
%{docdir}/images/icon_clear_bg.png
%{docdir}/images/icon.png
%{docdir}/images/gclamp_error_display.png
%{docdir}/images/gclamp_main_window_warning.png
%{docdir}/images/gclamp_main_window_normal.png
%{docdir}/images/gclamp_update.png
%{docdir}/images/gclamp_defaults.png
%{docdir}/images/gclamp_directories.png
%{docdir}/images/gclamp_files.png
%{docdir}/images/gclamp_omit_files.png
%{docdir}/images/gclamp_omit_directories.png
%{docdir}/images/gclamp_log.png
%{docdir}/images/gclamp_freshclam_log.png
%{docdir}/images/gclamp_as_root.png
%{docdir}/images/gclamp_scan_completed.png
%{docdir}/images/gclamp_scanning.png
%{docdir}/images/gclamp_options.png
%{docdir}/images/gclamp_update_authorisation.png

%{docdir}/images/rw_0.png
%{docdir}/images/rw_1.png
%{docdir}/images/rw_2.png
%{docdir}/images/rw_3.png
%{docdir}/images/rw_4.png
%{docdir}/images/rw_5.png
%{docdir}/images/rw_6.png
%{docdir}/images/load.png
%{docdir}/images/save.png

%{mandir}/man1/gclamp.1.gz

%{pixmapsdir}/icon.png
%{pixmapsdir}/icon.svg
%{pixmapsdir}/icon.svgz
%{pixmapsdir}/icon_clear_bg.png

%defattr(0755,root,root,-)
%{bindir}/gclamp
%{bindir}/gclamp_update



# %changelog
