/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    gclamp                                                    *
*Project Version: 1.2.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 17th May 2011                                     *
*                                                                           *
*Start DateStamp: 04-May-2009 10.15.10 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs                                         *
*                                                                           *
*Project Summary:                                                           *
* Gtk++ frontend for CLAMav Program                                         *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       common.h                                                  *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       15-Apr-2010 11.12.56 -36000 0                             *
*                                                                           *
*File Summary:                                                              *
* New file for any data common to gclamp and gclamp_update                  *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/

#ifndef __COMMON_H__
#define __COMMON_H__

#include <iostream>

#include <gtk/gtk.h>

namespace common
{
static std::string fifo_name = "/tmp/gclamp";

static GdkColor red   = {0, 0xffff, 0x0000, 0x0000};
static GdkColor white = {0, 0xffff, 0xffff, 0xffff};
static GdkColor blue  = {0, 0x0000, 0x0000, 0xffff};
static GdkColor black = {0, 0x0000, 0x0000, 0x0000};

static GdkColor pink       = {0, 0xffff, 0xb000, 0xffff};
static GdkColor lightblue  = {0, 0xbfff, 0xbfff, 0xffff};
static GdkColor lightgreen = {0, 0xbfff, 0xffff, 0xbfff};
//static GdkColor cyan       = {0, 0xa000, 0xffff, 0xffff};
//static GdkColor lightcyan       = {0, 0xe000, 0xffff, 0xffff}; // not bad
//static GdkColor yellow       = {0, 0xffff, 0xffff, 0x0000};
static GdkColor lightyellow = {0, 0xffff, 0xffff, 0xbfff};
//static GdkColor orange = {0, 0xffff, 0x9999, 0x0000};

static GdkColor lightbrown       = {0, 0xe000, 0xb000, 0x9000};
  
};

#endif // __COMMON_H__