/****************************************************************************
*RevHead_Start                                                              *
*                                                                           *
* Project Details                                                           *
* ---------------                                                           *
*Project Name:    gclamp                                                    *
*Project Version: 1.2.0                                                     *
*Copyright Owner: David M. Balean <linprogs@balean.net>                     *
*Copyright Notice:                                                          *
* This program is free software; you can redistribute it and/or modify it   *
* under the terms of the GNU General Public License as published by         *
* the Free Software Foundation, either version 3 of the License or,         *
* (at your option) any later version.                                       *
* This program is distributed in the hope that it will be useful,           *
* but WITHOUT ANY WARRANTY; without even the implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
* See the GNU General Public License for more details.                      *
* You should have received a copy of the GNU General Public License         *
* along with this program. If not, see <http://www.gnu.org/licenses/>.      *
*                                                                           *
*Project Date:    Tuesday 17th May 2011                                     *
*                                                                           *
*Start DateStamp: 04-May-2009 10.15.10 -36000 0                             *
*                                                                           *
*Contact:                                                                   *
* email: linprogs@balean.net                                                *
* snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA *
* URL:   http://balean.net/linprogs                                         *
*                                                                           *
*Project Summary:                                                           *
* Gtk++ frontend for CLAMav Program                                         *
*                                                                           *
*****************************************************************************
*                                                                           *
*This File:       logfile.h                                                 *
*Author:          David M. Balean <linprogs@balean.net>                     *
*DateStamp:       19-May-2009 12.16.14 -36000 0                             *
*                                                                           *
*RevHead_End                                                                *
****************************************************************************/


#ifndef _LOGFILE_H
#define _LOGFILE_H

#include <iostream>
#include <fstream>

#include "gclamp.h"

using namespace std;

class Logfile
{
public:
  Logfile(class Gclamp *g);
  ~Logfile(void);
 
  void open(void);
  void close(void);
  void write2log(string &s);

private:   

  Gclamp *g;
  string logname;  // the full pathname of the logfile
  static fstream logfs;
  
protected:
 
};
 
#endif // _LOGFILE_H
